SMBExport (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SMBExport interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SMBExport

All Superinterfaces:
  FileSystemExport, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMBExport

extends FileSystemExport

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getPath()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getType()`
`boolean` | `hasPath()`
`boolean` | `hasStatus()`
`boolean` | `hasType()`
`void` | `setPath(java.lang.String path)`
`void` | `setStatus(java.lang.String status)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystemExport
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String path)

### hasPath

    boolean hasPath()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getStatus

    java.lang.String getStatus()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(java.lang.String status)

### hasStatus

    boolean hasStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD